Issue a TE
The Electronic Ticket (TE) is the typical document for a sale to an end consumer: it doesn’t require identifying the recipient and is issued just as quickly as an FE. It’s used in POS, restaurants, retail, etc.
curl -X POST https://api.pos.lxsyscr.com/api/v1/facturas \
-H "X-Api-Key: $LXS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tipo": "TiqueteElectronico",
"idUsuario": 7,
"condicionVenta": "01",
"medioPago": "06",
"moneda": "CRC",
"lineas": [
{ "idProducto": 200, "cantidad": 1 },
{ "idProducto": 201, "cantidad": 3 }
]
}'Note the absence of the
clientefield: the TE doesn’t require identifying the recipient. If the customer later requests a named invoice, issue an additional FE and give them the NC for the original TE.